changes to maps in 1.3.6

Discussion of all aspects of multiplayer development: unit balancing, map development, server development, and so forth.

Moderator: Forum Moderators

Post Reply
User avatar
Bob_The_Mighty
Posts: 831
Joined: July 13th, 2006, 1:15 pm

changes to maps in 1.3.6

Post by Bob_The_Mighty »

Hey. I got 1.3.6 but now maps i made in 1.3.2 don't work. In the multiplayer window when creating a game and selecting a map it just says error, map contains invalid character. So i try loading the map with the map editor, but it says it is not a valid map file or something.

I presume this problem is to do with the terrain letters all changing. But do i really have to go through changing each letter manually, wasn't there a script that did this?
My current projects:
MP pirate campaign: The Altaz Mariners
RPG sequel: Return to Trent
MP stealth campaign: Den of Thieves
User avatar
ivanovic
Lord of Translations
Posts: 1147
Joined: September 28th, 2004, 10:10 pm
Location: Germany

Post by ivanovic »

In a nice little commandline:

Code: Select all

cd /your/wesnoth_maindir
./data/tools/wmllint --help
wmllint will do all the work of converting stuff. The --help param should give you a list of possible options. It should even work on windows if you have a python interpreter installed, not sure though...

In the wiki you can find more infos about the great tools written by esr:
http://www.wesnoth.org/wiki/Maintenance_tools
I don't know if the page in the wiki is always up to date, but esr works on improving the scripts all the time.
User avatar
Bob_The_Mighty
Posts: 831
Joined: July 13th, 2006, 1:15 pm

Post by Bob_The_Mighty »

Thanks for the speedy response. Only problem is, I don't know how to run wmllint. Where do I type that command line?

I am using windows but i have no python interpreter.
My current projects:
MP pirate campaign: The Altaz Mariners
RPG sequel: Return to Trent
MP stealth campaign: Den of Thieves
User avatar
governor
Posts: 267
Joined: December 8th, 2006, 12:32 am

Post by governor »

Bob_The_Mighty wrote:Thanks for the speedy response. Only problem is, I don't know how to run wmllint. Where do I type that command line?

I am using windows but i have no python interpreter.
On windows:

Start Button-> run
type 'cmd' press enter

then follow above instructions
User avatar
Bob_The_Mighty
Posts: 831
Joined: July 13th, 2006, 1:15 pm

Post by Bob_The_Mighty »

Thanks governor, I'm still having problems though. I don't know what I am doing at all.

I have got the command line to say:

C:\Program Files\Wesnoth 1.3.6\data\tools>

What do i have to type next?
My current projects:
MP pirate campaign: The Altaz Mariners
RPG sequel: Return to Trent
MP stealth campaign: Den of Thieves
User avatar
Sapient
Inactive Developer
Posts: 4453
Joined: November 26th, 2005, 7:41 am
Contact:

Post by Sapient »

First go to this directory:

C:\Program Files\Wesnoth 1.3.6\>

Then type this command:

"C:\Python2.5\python.exe" data\tools\wmllint --help

(Substitute Python2.5 with the directory you installed python to.)

Then type this command:

"C:\Python2.5\python.exe" data\tools\wmllint -o 1.3.2 userdata\data\campaigns\Bobs_Stuff

(Substitute Bobs_Stuff with your directory of stuff)
http://www.wesnoth.org/wiki/User:Sapient... "Looks like your skills saved us again. Uh, well at least, they saved Soarin's apple pie."
viorc
Posts: 130
Joined: February 22nd, 2006, 3:03 am

I was asked to report that information

Post by viorc »

Bob_The_Mighty wrote:In the multiplayer window when creating a game and selecting a map it just says error, map contains invalid character.[...]
I presume this problem is to do with the terrain letters all changing.[...]
As a side note, from version 1.3.5 (if I remember well), there cannot be any map in the previous format under editor/maps/ directory otherwise wesnoth would crash in the multiplayer map selection screen with message (in the command box):

Code: Select all

wesnoth: terrain_translation.cpp:715: t_translation::t_layer t_translation::string_to_layer_(const std::string&): Assertion `str.size() <= 4' failed.
The only solution now to make 1.2.x and 1.3.x version live together is to configure them to use different preference directory (setting up --with-preferences-dir in the configuration before compilation).

I suddenly remember I was asked to report that information on IRC but at that moment the forum became unavailable until I forgot
User avatar
jb
Multiplayer Contributor
Posts: 499
Joined: February 17th, 2006, 6:26 pm
Location: Chicago

Post by jb »

for an easy fix, take any 1.3.2 map and load it in the 1.3.4 editor and re-save it.

EDIT- To convert any map older than 1.3.2. you must first load it in the 1.3.2 editor and resave. Then take the resaved file and load it into 1.3.4 editor and resave again.
My MP campaigns
Gobowars
The Altaz Mariners - with Bob the Mighty
User avatar
Bob_The_Mighty
Posts: 831
Joined: July 13th, 2006, 1:15 pm

Post by Bob_The_Mighty »

Thanks JB, I tried your trick and it worked.
My current projects:
MP pirate campaign: The Altaz Mariners
RPG sequel: Return to Trent
MP stealth campaign: Den of Thieves
Post Reply